Subject: bug#24517: Please provide the feature ada-ref-man

From: Stefan Kangas <[email-masked]>
Date: Thu, 07 Nov 2019 00:12:19 +0100

Jonas Bernoulli <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> This request was sent 3 years ago, but it unfortunately never got a
>> reply at the time.  Is this still relevant?
>
> These requests are still relevant.
>
> * In the case of ada-ref-man I ended up not mirroring it.  (Making it
>   the only package from Emacs, including Elpa, that isn't mirrored on
>   the Emacsmirror.)
>
> * In the case of uni-confusables I ended up pretending
>   "gen-confusables.el" is the "main library" resulting in the rather odd
>   and incorrect package description "generate uni-confusables.el from
>   confusables.txt".

Does anyone object to the attached patch?

>   In addition to the provide form I would recommend adding a Commentary
>   section to the library so that that longer description shows up at
>   https://elpa.gnu.org/packages/uni-confusables.html among other places.

Could someone help with this?  I don't know what this is used for.
Teodor perhaps?

>   I just tried looking at uni-confusables.el using Emacs and despite
>   global-so-long-mode being enabled I ended up having to kill emacs.
>   So maybe a few newline characters could be added as well.

I'm seeing the same thing here.  Maybe that should be reported as a
separate bug.

Best regards,
Stefan Kangas

>From 447fcb04d526b460eccc976cd0b4b603e61454ed Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Thu, 7 Nov 2019 00:07:57 +0100
Subject: [PATCH] Add provide-statements to ada-ref-man and uni-confusables

* packages/ada-ref-man/ada-ref-man.el:
* packages/uni-confusables/uni-confusables.el: Add provide statements for
compatibility with emacs-mirror tools.  (Bug#24517)
---
 packages/ada-ref-man/ada-ref-man.el         | 2 ++
 packages/uni-confusables/uni-confusables.el | 2 ++
 2 files changed, 4 insertions(+)

diff --git a/packages/ada-ref-man/ada-ref-man.el b/packages/ada-ref-man/ada-ref-man.el
index 7c7cbf7f0..d8e4a7d4e 100644
--- a/packages/ada-ref-man/ada-ref-man.el
+++ b/packages/ada-ref-man/ada-ref-man.el
@@ -10,4 +10,6 @@
 ;; Version: 2012.5
 ;; url: http://stephe-leake.org/ada/arm.html
 
+(provide 'ada-ref-man)
+
 ;;; ada-ref-man.el ends here
diff --git a/packages/uni-confusables/uni-confusables.el b/packages/uni-confusables/uni-confusables.el
index cf8b20bfc..4e182d803 100644
--- a/packages/uni-confusables/uni-confusables.el
+++ b/packages/uni-confusables/uni-confusables.el
@@ -80,4 +80,6 @@
 ;; no-byte-compile: t
 ;; End:
 
+(provide 'uni-confusables)
+
 ;;; uni-confusables.el ends here
-- 
2.20.1